unit hints;

interface

uses
  Windows, Messages, SysUtils, Classes, Forms, KsItems, KsSkinItems, Menus,
  KsMenus, KsSkinMenus, KsHooks, KsForms, KsSkinForms, KsHints,
  KsSkinHints, KsSpinButtons, KsSkinSpinButtons, StdCtrls, Mask, KsEdits,
  KsSkinEdits, KsCheckBoxs, KsSkinCheckBoxs, Controls, KsControls,
  KsGroupBoxs, KsSkinGroupBoxs, KsSpeedButtons, KsSkinSpeedButtons;

type
  TfrmHint = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    NgRadioGroup1: TSeSkinRadioGroup;
    NgCheckBox1: TSeSkinCheckBox;
    NgCheckBox2: TSeSkinCheckBox;
    NgEdit1: TSeSkinEdit;
    NgEdit2: TSeSkinEdit;
    NgSpeedButton1: TSeSkinSpeedButton;
    NgSpeedButton2: TSeSkinSpeedButton;
    NgSpeedButton3: TSeSkinSpeedButton;
    NgSpeedButton4: TSeSkinSpeedButton;
    NgSpeedButton5: TSeSkinSpeedButton;
    NgSpeedButton6: TSeSkinSpeedButton;
    NgForm1: TSeSkinForm;
    NgSpinButton1: TSeSkinSpinButton;
    NgSpinButton2: TSeSkinSpinButton;
    SeSkinPopupMenu1: TSeSkinPopupMenu;
    CustomItem1: TSeSkinItem;
    CustomItem2: TSeSkinItem;
    CustomItem3: TSeSkinItem;
    CustomItem4: TSeSkinItem;
    NgHint1: TSeSkinHint;
    SeSkinSpeedButton1: TSeSkinSpeedButton;
    SeSkinSpeedButton2: TSeSkinSpeedButton;
    SeSkinSpeedButton3: TSeSkinSpeedButton;
    SeSkinSpeedButton4: TSeSkinSpeedButton;
    SeSkinSpeedButton5: TSeSkinSpeedButton;
    SeSkinSpeedButton6: TSeSkinSpeedButton;
    procedure NgCheckBox1Click(Sender: TObject);
    procedure NgCheckBox2Click(Sender: TObject);
    procedure NgSpinButton2Changing(Sender: TObject;
      var AllowChange: Boolean);
    procedure NgSpinButton1Changing(Sender: TObject;
      var AllowChange: Boolean);
    procedure NgRadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmHint: TfrmHint;

implementation

uses Main, KsEffects;

{$R *.DFM}

procedure TfrmHint.NgCheckBox1Click(Sender: TObject);
begin
  NgHint1.Blend := NgCheckBox1.Checked;
end;

procedure TfrmHint.NgCheckBox2Click(Sender: TObject);
begin
  NgHint1.Dropshadow := NgCheckBox2.Checked;
end;

procedure TfrmHint.NgSpinButton2Changing(Sender: TObject;
  var AllowChange: Boolean);
begin
  NgHint1.ShadowWidth := NgSpinButton2.Position;
end;

procedure TfrmHint.NgSpinButton1Changing(Sender: TObject;
  var AllowChange: Boolean);
begin
  NgHint1.BlendValue := NgSpinButton1.Position;
end;

procedure TfrmHint.NgRadioGroup1Click(Sender: TObject);
begin
  NgHint1.ShowAnimation := TKsAnimation(NgRadioGroup1.ItemIndex);
end;

end.
